Get Clock In Logs
curl --request GET \
--url https://api.decodahealth.com/check-in/clock-in/{time_entry_id}/logs \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/check-in/clock-in/{time_entry_id}/logs"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/check-in/clock-in/{time_entry_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"clockInRecordId": "<string>",
"providerId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"actionType": "CREATED"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Check In
Get Clock In Logs
Get all audit logs for a specific clock-in record. Shows who edited the clock-in record, when, and what changed.
GET
/
check-in
/
clock-in
/
{time_entry_id}
/
logs
Get Clock In Logs
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
- ClockInLogCreatedSummary
- ClockInLogTimeEditedSummary
- ClockInLogClockedOutSummary
- ClockInLogDeletedSummary
Summary view of a CREATED clock-in log
⌘I
